/*
 * Copyright 2002 Farfpeuf/ AdetSoft. All rights reserved.
 * Use is subject to license terms.
 */
package fb.gui.widgets;

/**
 * a button listener used to perform action in a new thread
 * 
 * @author farfpeuf
 * 
 */
public abstract class ButtonListener implements java.awt.event.ActionListener {

	/**
	 * the thread action
	 * 
	 */
	public abstract void threadedActionPerformed();

	/**
	 * perform button action in a new thread
	 */
	public final void actionPerformed(java.awt.event.ActionEvent ev) {
		Thread t = new Thread("ButtonListener") {
			public void run() {
				threadedActionPerformed();
			}
		};
		t.start();
	}

}
