/*
 * Copyright 2002 Farfpeuf/ AdetSoft. All rights reserved.
 * Use is subject to license terms.
 */
package fb.player;

/**
 * a fantasy battle field player (human player or artificial intelligence)
 * 
 * @author farfpeuf
 * 
 */
public class Player {
	/**
	 * player name
	 */
	private String name;

	/**
	 * human player or artificial intelligence?
	 */
	private boolean ia;

	/**
	 * army name
	 */
	private String armyName;

	/**
	 * player side
	 */
	private int side;

	/**
	 * @return Returns the armyName.
	 */
	public String getArmyName() {
		return armyName;
	}

	/**
	 * @param armyName
	 *            The armyName to set.
	 */
	public void setArmyName(String armyName) {
		this.armyName = armyName;
	}

	/**
	 * @return Returns the ia.
	 */
	public boolean isIa() {
		return ia;
	}

	/**
	 * @param ia
	 *            The ia to set.
	 */
	public void setIa(boolean ia) {
		this.ia = ia;
	}

	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name
	 *            The name to set.
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return Returns the side.
	 */
	public int getSide() {
		return side;
	}

	/**
	 * @param side
	 *            The side to set.
	 */
	public void setSide(int side) {
		this.side = side;
	}

	/**
	 * @param armyName the army name
	 * @param ia human player or artificial intelligence?
	 * @param name the player name
	 * @param side the player side
	 */
	public Player(String armyName, boolean ia, String name, int side) {
		super();

		this.name = name;
		this.ia = ia;
		this.armyName = armyName;
		this.side = side;
	}

}
